Conversations

The Directory API gives you access to Organizations, Accounts, Employees and Groups. Every Entity within the subsequent API calls must have an Organization attached and API calls must be made with a User specific JWT.

List active conversations for the current user.

get
Responses
chevron-right
200

Success

application/json
idstringOptional

Conversation unique identifier.

userIdstringOptional

ID of the user who owns this conversation.

tenantstringOptional

Tenant/workspace identifier to which this conversation belongs.

timestampstring · date-timeOptional

Timestamp when the conversation was created.

namestringOptional

Friendly name of the conversation.

get
/api/v1/agent/conversations

Start a new conversation.

post
Responses
chevron-right
200

Success

application/json
idstringOptional

Conversation unique identifier.

userIdstringOptional

ID of the user who owns this conversation.

tenantstringOptional

Tenant/workspace identifier to which this conversation belongs.

timestampstring · date-timeOptional

Timestamp when the conversation was created.

namestringOptional

Friendly name of the conversation.

post
/api/v1/agent/conversations/start

Update a conversation's details.

put
Path parameters
idstringRequired

Conversation ID

Body
idstringOptional

Conversation unique identifier.

userIdstringOptional

ID of the user who owns this conversation.

tenantstringOptional

Tenant/workspace identifier to which this conversation belongs.

timestampstring · date-timeOptional

Timestamp when the conversation was created.

namestringOptional

Friendly name of the conversation.

Responses
chevron-right
200

Success

application/json
idstringOptional

Conversation unique identifier.

userIdstringOptional

ID of the user who owns this conversation.

tenantstringOptional

Tenant/workspace identifier to which this conversation belongs.

timestampstring · date-timeOptional

Timestamp when the conversation was created.

namestringOptional

Friendly name of the conversation.

put
/api/v1/agent/conversations/{id}

Delete a conversation.

delete
Path parameters
idstringRequired

Conversation ID

Responses
chevron-right
200

Success (conversation deleted)

No content

delete
/api/v1/agent/conversations/{id}

No content

Get agent task assignments (follow-up).

post

Retrieve the list of tasks assigned by the agent for the user's last question. Requires an existing conversation (conversationId must be provided).

Body
questionstringOptional

User's question or message.

maxResultsintegerOptional

Max number of results or steps (defaults to 5).

additionalInstructionsstringOptional

Additional instructions or context for the agent.

conversationIdstringOptional

ID of an existing conversation (for follow-ups; omit for new questions).

sincestring · date-timeOptional

If provided, get history messages since this timestamp (used in history request).

Responses
chevron-right
200

Success

application/json
responsestringOptional

Agent's response summary or prompt to the user (e.g., asking for confirmation).

needsConfirmationbooleanOptional

True if the agent is awaiting user confirmation or input to proceed.

newWorkflowbooleanOptional

True if the agent is proposing a new scheduled workflow.

scheduleFrequencystring · enumOptional

Frequency for scheduled workflow execution.

Possible values:
hourOfWorkflowintegerOptional

Hour of day (0-23) for scheduled workflow execution (if applicable).

dayOfWorkflowintegerOptional

Day of week or month for scheduled workflow (if applicable).

minuteOfWorkflowintegerOptional

Minute of hour for scheduled workflow (if applicable).

timeZonestringOptional

Time zone identifier for the scheduled workflow (if applicable).

subscriptionActivebooleanOptional

Indicates if the user's subscription is active (true) or if execution is limited due to subscription issues.

notificationChannelstring · enumOptional

Channel for completion notification.

Possible values:
notificationTostringOptional

Target identifier for completion notification (e.g., email address or Slack channel, if provided).

userIdstringOptional

Identifier of the user for whom the tasks are assigned.

post
/api/v1/agent/assign

Ask a question (start a new conversation).

post

Submit a question to the Peoplelogic agent. Do not include a conversationId (a new conversation will be started).

Body
questionstringOptional

User's question or message.

maxResultsintegerOptional

Max number of results or steps (defaults to 5).

additionalInstructionsstringOptional

Additional instructions or context for the agent.

conversationIdstringOptional

ID of an existing conversation (for follow-ups; omit for new questions).

sincestring · date-timeOptional

If provided, get history messages since this timestamp (used in history request).

Responses
chevron-right
200

Success

application/json
successbooleanRequired

Whether the request succeeded.

replystringRequired

The agent's response message.

confirmingbooleanOptional

True if the agent is asking for confirmation from the user.

conversationstringOptional

Conversation ID this response is associated with (if any).

post
/api/v1/agent/ask

Send a reply in a conversation.

post

Send a follow-up message or confirmation in an existing conversation. This is typically used to confirm task execution or ask a clarifying question, using the conversationId from a previous response.

Body
questionstringOptional

User's question or message.

maxResultsintegerOptional

Max number of results or steps (defaults to 5).

additionalInstructionsstringOptional

Additional instructions or context for the agent.

conversationIdstringOptional

ID of an existing conversation (for follow-ups; omit for new questions).

sincestring · date-timeOptional

If provided, get history messages since this timestamp (used in history request).

Responses
chevron-right
200

Success

application/json
successbooleanRequired

Whether the request succeeded.

replystringRequired

The agent's response message.

confirmingbooleanOptional

True if the agent is asking for confirmation from the user.

conversationstringOptional

Conversation ID this response is associated with (if any).

post
/api/v1/agent/reply

Upload a file to the knowledge base (Admin only).

post
Body
filestring · binaryOptional
Responses
chevron-right
200

Success

application/json
successbooleanRequired

Whether the request succeeded.

replystringRequired

The agent's response message.

confirmingbooleanOptional

True if the agent is asking for confirmation from the user.

conversationstringOptional

Conversation ID this response is associated with (if any).

post
/api/v1/agent/add-file-knowledge

Add a URL to the knowledge base (Admin only).

post
Body
string · uriOptional
Responses
chevron-right
200

Success

application/json
successbooleanRequired

Whether the request succeeded.

replystringRequired

The agent's response message.

confirmingbooleanOptional

True if the agent is asking for confirmation from the user.

conversationstringOptional

Conversation ID this response is associated with (if any).

post
/api/v1/agent/add-url-knowledge

Last updated

Was this helpful?